# Interface Site

A site is a defined area of land, possibly covered with water, upon which constructions are located

interface Site {
aggregatedFacilities?: string[];
aggregatedSites?: string[];
aggregatedSpaces?: string[];
class?: "IfcSite";
elementQuantities?: ElementQuantities[];
id?: string;
name: string;
propertySets?: PropertySet[];
}

##### Index

### Properties

aggregatedFacilities?
aggregatedSites?
aggregatedSpaces?
class?
elementQuantities?
id?
name
propertySets?

## Properties

### `Optional` aggregatedFacilities

aggregatedFacilities?: string[]

Facilities (e.g. buildings) in Twin

### `Optional` aggregatedSites

aggregatedSites?: string[]

Sites are part of this site

### `Optional` aggregatedSpaces

aggregatedSpaces?: string[]

Spaces that are not part of any facility

### `Optional` class

class?: "IfcSite"

Type of site (i.e. IfcSite)

### `Optional` elementQuantities

elementQuantities?: ElementQuantities[]

### `Optional` id

id?: string

Unique identifier for the site

### name

name: string

Name of the site

### `Optional` propertySets

propertySets?: PropertySet[]

Sets of properties describing the Twin (e.g. AreaType = Residential)